org.eclipse.emf.cdo.server.db

## Interface IDBStore.Props

- Enclosing interface:
    IDBStore

      public static interface IDBStore.Props

  Contains symbolic constants that specifiy valid keys of `DB store properties`.
  Since:
    4.0
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONNECTION_KEEPALIVE_PERIOD` In minutes.
    `static String` | `DROP_ALL_DATA_ON_ACTIVATE`
    `static String` | `FIELD_CONSTRUCTION_TRACKING`
    `static String` | `ID_COLUMN_LENGTH`
    `static String` | `JDBC_FETCH_SIZE`
    `static String` | `READER_POOL_CAPACITY`
    `static String` | `WRITER_POOL_CAPACITY`

- - ### Field Detail

    - #### CONNECTION_KEEPALIVE_PERIOD

          static final String CONNECTION_KEEPALIVE_PERIOD

      In minutes.
      See Also:
        Constant Field Values

    - #### ID_COLUMN_LENGTH

          static final String ID_COLUMN_LENGTH

      Since:
        4.2
      See Also:
        Constant Field Values

    - #### READER_POOL_CAPACITY

          static final String READER_POOL_CAPACITY

      Since:
        4.2
      See Also:
        Constant Field Values

    - #### WRITER_POOL_CAPACITY

          static final String WRITER_POOL_CAPACITY

      Since:
        4.2
      See Also:
        Constant Field Values

    - #### FIELD_CONSTRUCTION_TRACKING

          static final String FIELD_CONSTRUCTION_TRACKING

      Since:
        4.3
      See Also:
        Constant Field Values

    - #### DROP_ALL_DATA_ON_ACTIVATE

          static final String DROP_ALL_DATA_ON_ACTIVATE

      Since:
        4.4
      See Also:
        Constant Field Values

    - #### JDBC_FETCH_SIZE

          static final String JDBC_FETCH_SIZE

      Since:
        4.4
      See Also:
        Constant Field Values

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html